name: Build Docker Linux x64

on:
  push:
    branches:
      #- main

jobs:
  build-docker-linux-x64:
    runs-on: [self-hosted, linux, arm64, linux64-docker, docker]
    steps:
      - name: Install packages
        run: apk add --no-cache git curl wget unzip bash nodejs npm docker

      - name: Checkout
        uses: actions/checkout@v4

      - name: Setup Docker Buildx
        uses: docker/setup-buildx-action@v3

      - name: Build Linux x64 Docker Image
        run: |
          docker buildx build \
            --platform linux/amd64 \
            -t myapp:linux-x64 \
            --load ./CouchLog/CouchLog.sln
